<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>SOC Driver External Data Structures</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#enum-members">Enumerations</a>  </div>
  <div class="headertitle">
<div class="title">SOC Driver External Data Structures<div class="ingroups"><a class="el" href="group___s_o_c___d_r_i_v_e_r.html">SOC Driver</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>The section has a list of all the data structures which are exposed to the application.  
<a href="#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_s_o_c___cfg__t.html">SOC_Cfg_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">SOC Configuration.  <a href="struct_s_o_c___cfg__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_s_o_c___sys_int_listener_cfg__t.html">SOC_SysIntListenerCfg_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">SOC Interrupt Listener Configuration.  <a href="struct_s_o_c___sys_int_listener_cfg__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:gaf2d620ca8ed5bbdf09c68940b05fd280"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gaf2d620ca8ed5bbdf09c68940b05fd280"></a>
typedef void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf2d620ca8ed5bbdf09c68940b05fd280">SOC_Handle</a></td></tr>
<tr class="memdesc:gaf2d620ca8ed5bbdf09c68940b05fd280"><td class="mdescLeft">&#160;</td><td class="mdescRight">SOC Driver Handle. <br /></td></tr>
<tr class="separator:gaf2d620ca8ed5bbdf09c68940b05fd280"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7de84b8d011ff43a9c414c32df91224d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga7de84b8d011ff43a9c414c32df91224d"></a>
typedef void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga7de84b8d011ff43a9c414c32df91224d">SOC_SysIntListenerHandle</a></td></tr>
<tr class="memdesc:ga7de84b8d011ff43a9c414c32df91224d"><td class="mdescLeft">&#160;</td><td class="mdescRight">SOC System Interrupt Listener Handle. <br /></td></tr>
<tr class="separator:ga7de84b8d011ff43a9c414c32df91224d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2ec041c8f91275861969d25ea16293ab"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga2ec041c8f91275861969d25ea16293ab"></a>
typedef void(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga2ec041c8f91275861969d25ea16293ab">SOC_SysIntListenerFxn</a>) (uintptr_t arg)</td></tr>
<tr class="memdesc:ga2ec041c8f91275861969d25ea16293ab"><td class="mdescLeft">&#160;</td><td class="mdescRight">SOC System Interrupt Listener Function. <br /></td></tr>
<tr class="separator:ga2ec041c8f91275861969d25ea16293ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae8b88ecfe881d705629edfa9452fb7bf"><td class="memItemLeft" align="right" valign="top">typedef enum <a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga262b5dc254a11516f9d8101cedbf2dfa">SOC_SysClock_e</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gae8b88ecfe881d705629edfa9452fb7bf">SOC_SysClock</a></td></tr>
<tr class="memdesc:gae8b88ecfe881d705629edfa9452fb7bf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enumeration for system clocks.  <a href="#gae8b88ecfe881d705629edfa9452fb7bf">More...</a><br /></td></tr>
<tr class="separator:gae8b88ecfe881d705629edfa9452fb7bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga14e1cbcdd3d2145c449ce854ff5b9021"><td class="memItemLeft" align="right" valign="top">typedef enum <a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gae0330cd6ff0f1091d7b83be2e72ac675">SOC_TranslateAddr_Dir_e</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga14e1cbcdd3d2145c449ce854ff5b9021">SOC_TranslateAddr_Dir</a></td></tr>
<tr class="memdesc:ga14e1cbcdd3d2145c449ce854ff5b9021"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enumeration for address translation from one domain to the other.  <a href="#ga14e1cbcdd3d2145c449ce854ff5b9021">More...</a><br /></td></tr>
<tr class="separator:ga14e1cbcdd3d2145c449ce854ff5b9021"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0375130ab6199735746366b301d4c361"><td class="memItemLeft" align="right" valign="top">typedef enum <a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga514dab907c5bcc8fd5ee5ad0e4b9ab83">SOC_PeripheralClkSource_e</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga0375130ab6199735746366b301d4c361">SOC_PeripheralClkSource</a></td></tr>
<tr class="memdesc:ga0375130ab6199735746366b301d4c361"><td class="mdescLeft">&#160;</td><td class="mdescRight">SOC RCM Module clock Source.  <a href="#ga0375130ab6199735746366b301d4c361">More...</a><br /></td></tr>
<tr class="separator:ga0375130ab6199735746366b301d4c361"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad83a31f6e952bfc5a76950778fdd975e"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="struct_s_o_c___cfg__t.html">SOC_Cfg_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gad83a31f6e952bfc5a76950778fdd975e">SOC_Cfg</a></td></tr>
<tr class="memdesc:gad83a31f6e952bfc5a76950778fdd975e"><td class="mdescLeft">&#160;</td><td class="mdescRight">SOC Configuration.  <a href="#gad83a31f6e952bfc5a76950778fdd975e">More...</a><br /></td></tr>
<tr class="separator:gad83a31f6e952bfc5a76950778fdd975e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7df25030ea9a68a3700d7de026cf4b30"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="struct_s_o_c___sys_int_listener_cfg__t.html">SOC_SysIntListenerCfg_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga7df25030ea9a68a3700d7de026cf4b30">SOC_SysIntListenerCfg</a></td></tr>
<tr class="memdesc:ga7df25030ea9a68a3700d7de026cf4b30"><td class="mdescLeft">&#160;</td><td class="mdescRight">SOC Interrupt Listener Configuration.  <a href="#ga7df25030ea9a68a3700d7de026cf4b30">More...</a><br /></td></tr>
<tr class="separator:ga7df25030ea9a68a3700d7de026cf4b30"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="enum-members"></a>
Enumerations</h2></td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<p>The section has a list of all the data structures which are exposed to the application. </p>
<h2 class="groupheader">Typedef Documentation</h2>
<a class="anchor" id="gad83a31f6e952bfc5a76950778fdd975e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef struct <a class="el" href="struct_s_o_c___cfg__t.html">SOC_Cfg_t</a> <a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gad83a31f6e952bfc5a76950778fdd975e">SOC_Cfg</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>SOC Configuration. </p>
<p>The structure describes the configuration information which is needed to open and initialize the SOC Driver. </p>

</div>
</div>
<a class="anchor" id="ga0375130ab6199735746366b301d4c361"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef enum <a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga514dab907c5bcc8fd5ee5ad0e4b9ab83">SOC_PeripheralClkSource_e</a> <a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga0375130ab6199735746366b301d4c361">SOC_PeripheralClkSource</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>SOC RCM Module clock Source. </p>
<p>The enumeration defines the module clock source supported by XWR1xxx device. </p>

</div>
</div>
<a class="anchor" id="gae8b88ecfe881d705629edfa9452fb7bf"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef enum <a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga262b5dc254a11516f9d8101cedbf2dfa">SOC_SysClock_e</a> <a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gae8b88ecfe881d705629edfa9452fb7bf">SOC_SysClock</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Enumeration for system clocks. </p>
<p>The enumeration describes the configuration of the system clock.</p><ul>
<li>On the MSS in the XWR14xx; the System clocks need to be initialized and setup during SOC Initialization.</li>
<li>On the XWR16xx; either the MSS <em>OR</em> DSS can perform clock initialization Application developers need to determine upfront the system responsible for doing so. </li>
</ul>

</div>
</div>
<a class="anchor" id="ga7df25030ea9a68a3700d7de026cf4b30"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef struct <a class="el" href="struct_s_o_c___sys_int_listener_cfg__t.html">SOC_SysIntListenerCfg_t</a> <a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga7df25030ea9a68a3700d7de026cf4b30">SOC_SysIntListenerCfg</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>SOC Interrupt Listener Configuration. </p>
<p>The structure describes the configuration information which is need to initialize the system interrupt listener </p>

</div>
</div>
<a class="anchor" id="ga14e1cbcdd3d2145c449ce854ff5b9021"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef enum <a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gae0330cd6ff0f1091d7b83be2e72ac675">SOC_TranslateAddr_Dir_e</a> <a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga14e1cbcdd3d2145c449ce854ff5b9021">SOC_TranslateAddr_Dir</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Enumeration for address translation from one domain to the other. </p>
<p>The enumeration describes the direction of address translation. </p>

</div>
</div>
<h2 class="groupheader">Enumeration Type Documentation</h2>
<a class="anchor" id="ga514dab907c5bcc8fd5ee5ad0e4b9ab83"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga514dab907c5bcc8fd5ee5ad0e4b9ab83">SOC_PeripheralClkSource_e</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>SOC RCM Module clock Source. </p>
<p>The enumeration defines the module clock source supported by XWR1xxx device. </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a class="anchor" id="gga514dab907c5bcc8fd5ee5ad0e4b9ab83a9bcd4593e4372a5605b4ec08114e59b1"></a>SOC_CLKSOURCE_VCLK&#160;</td><td class="fielddoc">
<p>VCLK </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="gga514dab907c5bcc8fd5ee5ad0e4b9ab83aca2720e12a8f24410955e8e78e822f52"></a>SOC_CLKSOURCE_RCCLK&#160;</td><td class="fielddoc">
<p>RCCLK </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="gga514dab907c5bcc8fd5ee5ad0e4b9ab83aa2d5b3c18477888315a3bd2290cfb069"></a>SOC_CLKSOURCE_600MPLL&#160;</td><td class="fielddoc">
<p>600MPLL </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="gga514dab907c5bcc8fd5ee5ad0e4b9ab83afb6511bdd6c490fb6e95a22d4bdfb6fb"></a>SOC_CLKSOURCE_240MPLL&#160;</td><td class="fielddoc">
<p>240MPLL </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="gga514dab907c5bcc8fd5ee5ad0e4b9ab83a955e2d5e4f8b02b7f8a700c700d8e154"></a>SOC_CLKSOURCE_CPUCLK&#160;</td><td class="fielddoc">
<p>CPUCLK </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="gga514dab907c5bcc8fd5ee5ad0e4b9ab83a59a6a2b5feda0a5ba48462bbb4665ab8"></a>SOC_CLKSOURCE_REFCLK&#160;</td><td class="fielddoc">
<p>REFCLK </p>
</td></tr>
</table>

</div>
</div>
<a class="anchor" id="ga262b5dc254a11516f9d8101cedbf2dfa"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga262b5dc254a11516f9d8101cedbf2dfa">SOC_SysClock_e</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Enumeration for system clocks. </p>
<p>The enumeration describes the configuration of the system clock.</p><ul>
<li>On the MSS in the XWR14xx; the System clocks need to be initialized and setup during SOC Initialization.</li>
<li>On the XWR16xx; either the MSS <em>OR</em> DSS can perform clock initialization Application developers need to determine upfront the system responsible for doing so. </li>
</ul>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a class="anchor" id="gga262b5dc254a11516f9d8101cedbf2dfaa74c1a8911ade2e09e463236f50b880c6"></a>SOC_SysClock_INIT&#160;</td><td class="fielddoc">
<p>System Clocks need to be initialized. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="gga262b5dc254a11516f9d8101cedbf2dfaa278300341046e12d47bc2d494580c669"></a>SOC_SysClock_BYPASS_INIT&#160;</td><td class="fielddoc">
<p>System Clocks initialization is bypassed. </p>
</td></tr>
</table>

</div>
</div>
<a class="anchor" id="gae0330cd6ff0f1091d7b83be2e72ac675"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gae0330cd6ff0f1091d7b83be2e72ac675">SOC_TranslateAddr_Dir_e</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Enumeration for address translation from one domain to the other. </p>
<p>The enumeration describes the direction of address translation. </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a class="anchor" id="ggae0330cd6ff0f1091d7b83be2e72ac675a4dd61f34f5544dc1c523a8f50fb52489"></a>SOC_TranslateAddr_Dir_TO_EDMA&#160;</td><td class="fielddoc">
<p>CPU to EDMA address translation. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="ggae0330cd6ff0f1091d7b83be2e72ac675a405f76d7869adaa037c7380db8be7161"></a>SOC_TranslateAddr_Dir_FROM_EDMA&#160;</td><td class="fielddoc">
<p>EDMA to CPU address translation. </p>
</td></tr>
</table>

</div>
</div>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
